Skip to main content

getHighestSnapshotSlot

POST

Returns the highest slot information that the node has snapshots for.This will find the highest full snapshot slot, and the highest incremental snapshot slot based on the full snapshot slot, if there is one.
Responses
idinteger
The request ID
jsonrpcstring
The JSON-RPC version
resultoneOf
fullinteger
The highest full snapshot slot
incrementalinteger
The highest incremental snapshot slot based on full
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "getHighestSnapshotSlot",
"params": []
}'